import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { SortOrderSchema } from '../enums/SortOrder.schema'

const makeSchema = () => z.object({
  id: SortOrderSchema.optional(),
  fileId: SortOrderSchema.optional(),
  seq: SortOrderSchema.optional()
}).strict();
export const CloudFileChunkAvgOrderByAggregateInputObjectSchema: z.ZodType<Prisma.CloudFileChunkAvgOrderByAggregateInput> = makeSchema() as unknown as z.ZodType<Prisma.CloudFileChunkAvgOrderByAggregateInput>;
export const CloudFileChunkAvgOrderByAggregateInputObjectZodSchema = makeSchema();
